from api_graphql.abc.input_abc import InputABC


class UserSettingInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._key = self.option("key", str, required=True)
        self._value = self.option("value", str, required=True)

    @property
    def key(self) -> str:
        return self._key

    @property
    def value(self) -> str:
        return self._value
